Page 1 of 2 12 LastLast
Results 1 to 10 of 19

Thread: Update & Broken Packages

  1. #1
    Join Date
    Apr 2011
    Location
    UK
    Beans
    109
    Distro
    Ubuntu 10.04 Lucid Lynx

    Update & Broken Packages

    Hi,

    I've just updated my system via Ubuntu Tweak, and the cleaned with Packaged Cleanup. UT removed a lot of packages, I didn't check properly to see what it removed

    It has removed Libreoffice and some other stuff I actually wanted to keep, and now when I try and reinstall Libreoffice, it won't let me stating broken packages, and dependencies not going to be installed!

    Any idea what's going on?

    Thanks.
    Powered by a Samsung NC10 with 2Gb RAM, running Lucid 10.04

  2. #2
    Join Date
    Nov 2010
    Location
    India
    Beans
    4,827
    Distro
    Ubuntu Development Release

    Re: Update & Broken Packages

    actually you can fix broken packages by using
    Code:
    sudo apt-get install -f
    . open your terminal and type that command . we need to have error report what you're getting.

    p.s : Its always better to use Update manager/ apt-get to update your Ubuntu.you can easily watch and manage what they are doing with your PC .
    Raja

    రాజ శేఖర్ రెడ్డి

  3. #3
    Join Date
    Apr 2011
    Location
    UK
    Beans
    109
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Update & Broken Packages

    that command gives:

    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

    Still can't seem to reinstall Libreoffice

    Says it depends on other Libre packages that aren't going to be installed?
    Last edited by Condor Cluster; September 2nd, 2012 at 03:00 PM.
    Powered by a Samsung NC10 with 2Gb RAM, running Lucid 10.04

  4. #4
    Join Date
    Apr 2011
    Location
    UK
    Beans
    109
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Update & Broken Packages

    when I try to reinstall Libreoffice:

    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies.
    libreoffice: Depends: libreoffice-core (= 1:3.5.4-0ubuntu1~lucid1) but it is not going to be installed
    Depends: libreoffice-writer but it is not going to be installed
    Depends: libreoffice-calc but it is not going to be installed
    Depends: libreoffice-impress but it is not going to be installed
    Depends: libreoffice-draw but it is not going to be installed
    Depends: libreoffice-math but it is not going to be installed
    Depends: libreoffice-base but it is not going to be installed
    Depends: libreoffice-filter-mobiledev but it is not going to be installed
    Depends: libreoffice-java-common (>= 1:3.5.4~) but it is not going to be installed
    Recommends: libreoffice-gnome but it is not going to be installed or
    libreoffice-kde but it is not going to be installed
    E: Broken packages
    Powered by a Samsung NC10 with 2Gb RAM, running Lucid 10.04

  5. #5
    Join Date
    Nov 2010
    Location
    India
    Beans
    4,827
    Distro
    Ubuntu Development Release

    Re: Update & Broken Packages

    Raja

    రాజ శేఖర్ రెడ్డి

  6. #6
    Join Date
    Apr 2011
    Location
    UK
    Beans
    109
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Update & Broken Packages

    Checked the link out, pretty sure its not related to old openoffice stuff.

    Was thinking could it be a problem with the libreoffice ppa online?
    Powered by a Samsung NC10 with 2Gb RAM, running Lucid 10.04

  7. #7
    Join Date
    Nov 2010
    Location
    India
    Beans
    4,827
    Distro
    Ubuntu Development Release

    Re: Update & Broken Packages

    ok you got installed Open office ??
    Raja

    రాజ శేఖర్ రెడ్డి

  8. #8
    Join Date
    Apr 2011
    Location
    UK
    Beans
    109
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Update & Broken Packages

    No openoffice installed on my system.

    I had libreoffice working fine for ages until a recent update that removed it, now I can't re-install it back!
    Powered by a Samsung NC10 with 2Gb RAM, running Lucid 10.04

  9. #9
    Join Date
    Nov 2010
    Location
    India
    Beans
    4,827
    Distro
    Ubuntu Development Release

    Re: Update & Broken Packages

    could you provide me the log of UT ?
    Raja

    రాజ శేఖర్ రెడ్డి

  10. #10
    Join Date
    Apr 2011
    Location
    UK
    Beans
    109
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Update & Broken Packages

    Could do, not sure where the Ubuntu Tweak stores it's log files though?

    EDIT: just saw an older thread http://ubuntuforums.org/showthread.php?t=1594111&page=3
    Think if I wait a few days, the ppa packages 'may sort themselves out'?
    Last edited by Condor Cluster; September 2nd, 2012 at 07:30 PM.
    Powered by a Samsung NC10 with 2Gb RAM, running Lucid 10.04

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •